<!--  -->
<template>
    <div style="width:100%;padding:0px 0px;" :style="{'height' : tableHeight + 'px'}" >
        <iframe :src="tableSrc + '&rgstrId=' + currentNodeId + '&persId=' + persId + '&unitName=' + projectName +'&hasPriv=' + hasPriv + '&width=1920&height=592'" frameborder="0" width="100%" height="100%" style="overflow: auto"></iframe>
    </div>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》';

export default {
    //import引入的组件需要注入到对象中才能使用
    props:['currentNodeId','tableSrc','projectName','hasPriv'],
    components: {},
    data() {
    //这里存放数据
        return {
            tableHeight:window.innerHeight - 180
        };
    },
    //监听属性 类似于data概念
    computed: {
         persId() {
            return localStorage.getItem("userid")
                ? localStorage.getItem("userid")
                : "1098101939614724096";
        },
    },
    //监控data中的数据变化
    watch: {
        tableSrc(n,o){
            this.tableSrc = n;
        },
        currentNodeId(n,o){
            this.currentNodeId = n;
        }
    },
    //方法集合
    methods: {
        
    },
    //生命周期 - 创建完成（可以访问当前this实例）
    created() {

    },
    //生命周期 - 挂载完成（可以访问DOM元素）
    mounted() {
        console.log(this.tableSrc,'eeeeeeeeeeeeeeeeeee')
    },
    beforeCreate() {}, //生命周期 - 创建之前
    beforeMount() {}, //生命周期 - 挂载之前
    beforeUpdate() {}, //生命周期 - 更新之前
    updated() {}, //生命周期 - 更新之后
    beforeDestroy() {}, //生命周期 - 销毁之前
    destroyed() {}, //生命周期 - 销毁完成
    activated() {}, //如果页面有keep-alive缓存功能，这个函数会触发
}
</script>
<style scoped>

</style>
